/* FIDOPoll.rexx  For use with Welmat 0.46+ */

/*
 *  Simple script to call all fidonet sites who have pending outbound mail
 *
 *  Uses RexxFlow.Library by David Jones
 *
 * Russell McOrmond   rwm@Atronx.OCUnix.On.Ca   {tigris,alzabo,...}!atronx!rwm 
 * FidoNet 1:163/109  Net Support: (613) 230-2282  Amiga-Fido Support  1:1/109 
 * Gateway for .Amiga.OCUnix.On.Ca    Current WELMAT 'keeper of sources'.
 *
 */


Options RESULTS
Options failat 100

DTPRI_CRASH = 50
DTPRI_HOLD  = -50 


RC = 0

parse arg rest

address command 'flolist >t:FlowList.txt a'
x=Open('flowlist',"t:FlowList.txt",'R')
if x=0 then do
   say "Error reading FlowList file!!!"
   Exit 1  
end

do forever

   Line=ReadLn('flowlist')

   if EOF('flowlist') then Leave
 
   Parse var Line System '09'x junk

   say 'system='System

   Parse Var System address.zone ":" address.net "/" address.node "." address.point
   address.domain = "Fidonet"

   work_detail = FindDetail(address)
   MaxPri = DetailMaxPri(work_detail)

   say work_detail " Pri " MaxPri
   
   if (MaxPri < 1) then Iterate 

   if (System == '1:163/139.0') then Iterate

   if (System == '1:163/227.0') then rest = " -nowazoo"

   if (left(System,5) ~= '1:163') & (left(System,5) ~= '1:243') then Iterate
   
   doline=''

   if System == '1:163/239.0' then doline='-useline 2'
   if System == '1:163/262.0' then doline='-useline 2'
   if System == '1:243/23.0' then doline='-useline 2'
   if System == '1:163/109.31' then doline='-useline 2'
   if System == '1:163/123.0' then doline='-useline 1'

   Address Command 'wctl '||doline||' -call 'System '-minpri 0' rest

   adelay= Getclip('wsched-delay')

   if ( words(adelay) == 1) then do
         say 'Doing delay='adelay 'seconds'
         call delay (50*adelay)  /* delay for 'quantum' seconds */
   end

  end

x=Close('flowlist')

Exit RC
