/*
 *  Basic Welmat Fidonet/UUCP scheduler
 *
 */

Options RESULTS
Options failat 99999
address rexx

if (~openport('wsched')) then do
   say 'not unique' 
   exit 1
end

setclip('wsched','go')

say "WSched Starting"

do while (Getclip('wsched') == 'go')

   say getclip('wshed')

   say 'calling uupoll'

   call uupoll('hasmail') 

/*
   if (index(Showdir("uuspool:",'Files'),'X.') > 0)   then do 
      address command 'run rx uuxqt'
   end

*/

   address command 'lookup 1:163/0'
   say 'calling fidopoll'
   call fidopoll()

/*
   if (index(upper(Showdir("welmat:inbound/",'Files')),'.PKT') > 0)   then do 
      address command 'run rx import'
   end
*/

   adelay= Getclip('wsched-quantum')
   if ( words(adelay) == 1) then do
         say 'doing delay of 'adelay' seconds'
         call delay (50*adelay)  /* delay for 'adelay' seconds */
   end
end

say "WSched Exit"
